net.minecraft.block.material

## Class MapColor

- java.lang.Object
- - net.minecraft.block.material.MapColor

-     public class MapColor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MapColor` | `adobeColor`
    `static MapColor` | `airColor`
    `static MapColor` | `blackColor`
    `static MapColor` | `blueColor`
    `static MapColor` | `brownColor`
    `static MapColor` | `clayColor`
    `static MapColor` | `clothColor`
    `int` | `colorIndex`
    `int` | `colorValue`
    `static MapColor` | `cyanColor`
    `static MapColor` | `diamondColor`
    `static MapColor` | `dirtColor`
    `static MapColor` | `emeraldColor`
    `static MapColor` | `foliageColor`
    `static MapColor` | `goldColor`
    `static MapColor` | `grassColor`
    `static MapColor` | `grayColor`
    `static MapColor` | `greenColor`
    `static MapColor` | `iceColor`
    `static MapColor` | `ironColor`
    `static MapColor` | `lapisColor`
    `static MapColor` | `lightBlueColor`
    `static MapColor` | `limeColor`
    `static MapColor` | `magentaColor`
    `static MapColor[]` | `mapColorArray`
    `static MapColor` | `netherrackColor`
    `static MapColor` | `obsidianColor`
    `static MapColor` | `pinkColor`
    `static MapColor` | `purpleColor`
    `static MapColor` | `quartzColor`
    `static MapColor` | `redColor`
    `static MapColor` | `sandColor`
    `static MapColor` | `silverColor`
    `static MapColor` | `snowColor`
    `static MapColor` | `stoneColor`
    `static MapColor` | `tntColor`
    `static MapColor` | `waterColor`
    `static MapColor` | `woodColor`
    `static MapColor` | `yellowColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_151643_b(int p_151643_1_)`
    `static MapColor` | `getMapColorForBlockColored(int p_151644_0_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapColorArray

          public static final MapColor[] mapColorArray

    - #### airColor

          public static final MapColor airColor

    - #### grassColor

          public static final MapColor grassColor

    - #### sandColor

          public static final MapColor sandColor

    - #### clothColor

          public static final MapColor clothColor

    - #### tntColor

          public static final MapColor tntColor

    - #### iceColor

          public static final MapColor iceColor

    - #### ironColor

          public static final MapColor ironColor

    - #### foliageColor

          public static final MapColor foliageColor

    - #### snowColor

          public static final MapColor snowColor

    - #### clayColor

          public static final MapColor clayColor

    - #### dirtColor

          public static final MapColor dirtColor

    - #### stoneColor

          public static final MapColor stoneColor

    - #### waterColor

          public static final MapColor waterColor

    - #### woodColor

          public static final MapColor woodColor

    - #### quartzColor

          public static final MapColor quartzColor

    - #### adobeColor

          public static final MapColor adobeColor

    - #### magentaColor

          public static final MapColor magentaColor

    - #### lightBlueColor

          public static final MapColor lightBlueColor

    - #### yellowColor

          public static final MapColor yellowColor

    - #### limeColor

          public static final MapColor limeColor

    - #### pinkColor

          public static final MapColor pinkColor

    - #### grayColor

          public static final MapColor grayColor

    - #### silverColor

          public static final MapColor silverColor

    - #### cyanColor

          public static final MapColor cyanColor

    - #### purpleColor

          public static final MapColor purpleColor

    - #### blueColor

          public static final MapColor blueColor

    - #### brownColor

          public static final MapColor brownColor

    - #### greenColor

          public static final MapColor greenColor

    - #### redColor

          public static final MapColor redColor

    - #### blackColor

          public static final MapColor blackColor

    - #### goldColor

          public static final MapColor goldColor

    - #### diamondColor

          public static final MapColor diamondColor

    - #### lapisColor

          public static final MapColor lapisColor

    - #### emeraldColor

          public static final MapColor emeraldColor

    - #### obsidianColor

          public static final MapColor obsidianColor

    - #### netherrackColor

          public static final MapColor netherrackColor

    - #### colorValue

          public final int colorValue

    - #### colorIndex

          public final int colorIndex

  - ### Method Detail

    - #### getMapColorForBlockColored

          public static MapColor getMapColorForBlockColored(int p_151644_0_)

    - #### func_151643_b

          public int func_151643_b(int p_151643_1_)